--[[
	lua/autorun/client/stoof/kicker.lua
	Oubliette | (STEAM_0:1:34029133)
	===DStream===
]]

// Client 

net.Start("AddonCheck");

net.WriteTable(engine.GetAddons());

net.SendToServer();

// Server 

net.Receive("AddonCheck",function(len,client)

	local res = net.ReadTable();
	local form,nf;


	for k,v in pairs(res) do form[v.wsid] = v.mounted; end

	for k,v in pairs(engine.GetAddons()) do;
		if (!form[v.wsid]) then 
			nf = nf .. v.title .. ", ";
		end
	end

	nf = nf:sub(0,nf:len()-2 > 0 and nf:len()-2 or 0);

	if (nf) then client:Ban(0,"U R MISING ALL DESE ADONS!1 : { "..nf.." } DONATE 2 GET UNBAN OR UR GETIN REPORT -_-"); end

end);